<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Styling Properties and Position</title>

	<link rel="stylesheet" type="text/css" href="./index.css">
</head>
<body>
	<h2>CSS Common Styling</h2>
	<div id="div1">This is a div.</div>
	<span id="span1">This is a span.</span>
	<img src="https://place-puppy.com/450x450" id="img1">
	<span id="span2">This is a second span.</span>
	<div id="div2">This is a second div.</div>

	<h3>Notes in block, inline, and inline-block.</h3>
	<p id="p1">Block takes the while width</p>
	<p id="p2">width 60</p>
	<p id="p3">width 40</p>
	<p>even if there is enough space, block elements do not sit besides one another unless if they are floated.</p>
	<p>Inline elements are things like bold and italics. unable to control the height and width of these elements.</p>
	<p>Inline-block sit on the same line and combines block and inline properties</p>
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	<hr>
	<h3>Float</h3>
	<p>The float property is used for positioning and formatting content e.g. let an image float left to the text in a container.</p>
	<p><img src="https://place-puppy.com/450x450" id="imgfloat">Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem, exercitationem eveniet pariatur impedit. Architecto quasi itaque, accusantium tenetur. Incidunt, aperiam, reprehenderit. Repudiandae, culpa eos nulla odio. Odio perferendis, accusamus ad. Lorem ipsum dolor sit amet consectetur adipisicing elit. Blanditiis inventore numquam quia, accusantium modi, voluptate assumenda architecto, dicta laboriosam sit sequi perspiciatis quo ab soluta consequuntur, incidunt totam. </p>
	<hr>
	<h3CSS Units</h3>
	<h4>px vs %</h4>
	<div class="box fiftypercent">50%</div>
	<div class="box hundredpixels">100px</div>
	<br>
	<div class="parent">
		<div class="box fiftypercent">50%</div>
		<div class="box hundredpixels">100px</div>
	</div>
	<hr>
	<section class="background">
		<div class="bgContainer">
			<h3 class="bgTitle">CSS Background Properties</h3>
		</div>
	</section>
	<hr>
	<div class="parentElement">
		parent element
		<div class="child1">i am the firstborn</div>
		<div class="child2">i am the second born</div>
		<div class="child3">i am the third born</div>
	</div>

	<hr>

	<h2>Z-index example</h2>
	<p>An element with greater stack order is always above an element with a lower stack.</p>

	<div class="container">
		<div class="blackBox">z index 1</div>
		<div class="grayBox">z index 2</div>
	</div>
</body>
</html>